Bug 987332 - Guest recipes require /distribution/virt/* which are not in the Beaker repos
Guest recipes require /distribution/virt/* which are not in the Beaker repos
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
develop
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.15
: ---
Assigned To: Raymond Mancy
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 05:28 EDT by Nick Coghlan
Modified: 2014-12-07 20:15 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 19:49:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-07-23 05:28:47 EDT
Guest recipe functionality is described in the Beaker documentation, but actually using it requires the /distribution/virt/* tasks which aren't currently in the public repos.

We should fix that :)
Comment 1 Raymond Mancy 2013-07-29 04:40:49 EDT
For the time being I'll add the RPMs to the beaker repo
Comment 2 Nick Coghlan 2013-08-05 23:24:13 EDT
I also found a previous discussion where Gurhan gave a +1 to open sourcing these properly: https://lists.fedorahosted.org/pipermail/beaker-devel/2012-October/000374.html

So I think "MODIFIED" for this bug should refer to actually adding the source under Tasks/ in the main beaker repo, rather than just publishing the RPMs.
Comment 3 Nick Coghlan 2013-08-06 04:20:11 EDT
On second thoughts... let's use this one to cleanly track the implementation of the RPM publication workaround and sort out the details of the development process later. (We need to decide between losing the git history completely when migrating to Beaker's git repos, or else auditing the history and preserving it in the migration)
Comment 4 Dan Callaghan 2013-08-07 19:49:41 EDT
The task RPMs for /distribution/virt/install and /distribution/virt/start are now in our source tree:

http://git.beaker-project.org/cgit/beaker/tree/Tasks/distribution/virt/start?h=develop
http://git.beaker-project.org/cgit/beaker/tree/Tasks/distribution/virtinstall?h=develop

and published on beaker-project.org:

http://beaker-project.org/tasks/

As noted in comment 3, publishing the tasks properly (including source history) is a separate issue.

Note You need to log in before you can comment on or make changes to this bug.